#
# spec file for package suma-amazon-adapter-config-ltd
# this code base is under development
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           suma-amazon-adapter-config-ltd
Version:        20240112
Release:        150400.9.9.1
License:        BSD-2-Clause
Summary:        SUSE Manager PAYG billing configuration
URL:            http://www.github.com/SUSE-Enceladus/suma-amazon-adapter-config-ltd
Group:          Applications/System
Source0:        %{name}-%{version}.tar.bz2
Provides:       csp-billing-adapter-config
Conflicts:      otherproviders(csp-billing-adapter-config)
BuildRequires:  filesystem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

%description
Configuration for SUSE Manager Pay As You Go (PAYG) listings in AWS market
classification for ltd

%prep
%setup -q

%build

%install
%make_install

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%dir %{_sysconfdir}/csp_billing_adapter
%config %{_sysconfdir}/csp_billing_adapter/config.yaml
%config %{_sysconfdir}/logrotate.d/csp-billing-adapter

%changelog
* Wed Jan 17 2024 sean.marlow@suse.com
- Update to version 20240112
  + Add archive feature options
* Fri Nov  3 2023 jesus.bv@suse.com
- Version 20231103
  Update license to BSD-2-Clause
* Tue Oct  3 2023 jesus.bv@suse.com
- Version 20231003
  Update product code
* Mon Aug 28 2023 jesus.bv@suse.com
- Initial build
  Version 20230825
